Domaines

Domaines personnalisés pour liens courts.

GET/api/v1/domains
Lister domaine
NomTypeRequisDescription
pageintegerNonPage number (default 1)
results_per_pageintegerNonItems per page (default 25, max 100)
searchstringNonSearch term
search_bystringNonColumn to search
order_bystringNonSort column
order_typestringNonasc or desc
datetime_startstringNonISO datetime filter start
datetime_endstringNonISO datetime filter end
curl -X GET 'https://forqrcode.com/api/v1/domains' \
  -H 'Authorization: Bearer YOUR_API_KEY'
GET/api/v1/domains/available
Lister les domaines disponibles
curl -X GET 'https://forqrcode.com/api/v1/domains/available' \
  -H 'Authorization: Bearer YOUR_API_KEY'
GET/api/v1/domains/{id}
Lire un domaine
NomTypeRequisDescription
idintegerOui
curl -X GET 'https://forqrcode.com/api/v1/domains/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'
POST/api/v1/domains
Créer domaine
NomTypeRequisDescription
hoststringOui
curl -X POST 'https://forqrcode.com/api/v1/domains' \
  -H 'Authorization: Bearer YOUR_API_KEY'
PATCH/api/v1/domains/{id}
Mettre à jour domaine
NomTypeRequisDescription
idintegerOui
curl -X PATCH 'https://forqrcode.com/api/v1/domains/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'
DELETE/api/v1/domains/{id}
Supprimer domaine
NomTypeRequisDescription
idintegerOui
curl -X DELETE 'https://forqrcode.com/api/v1/domains/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'

Noms de paramètres et exemples JSON en anglais. Remplacez YOUR_API_KEY par votre clé.